Eclipse GEF 3.2

## org.eclipse.gef
Interface NodeListener

public interface NodeListener

The listener interface for receiving Connection events from EditParts that serve as connection nodes.

Method Summary
`void` `removingSourceConnection(ConnectionEditPart connection, int index)` Called prior to removing the connection from its source node.
`void` `removingTargetConnection(ConnectionEditPart connection, int index)` Called prior to removing the connection from its target node.
`void` `sourceConnectionAdded(ConnectionEditPart connection, int index)` Called after the connection has been added to its source node.
`void` `targetConnectionAdded(ConnectionEditPart connection, int index)` Called after the connection has been added to its target node.

Method Detail

### removingSourceConnection

    public void removingSourceConnection(ConnectionEditPart connection,
                                         int index)

  Called prior to removing the connection from its source node. The source is not passed, but can still be obtained at this point by calling `connection.getSource()`

  Parameters:
    `connection` - the connection
    `index` - the index

### removingTargetConnection

    public void removingTargetConnection(ConnectionEditPart connection,
                                         int index)

  Called prior to removing the connection from its target node. The target is not passed, but can still be obtained at this point by calling `connection.getTarget()`

  Parameters:
    `connection` - the connection
    `index` - the index

### sourceConnectionAdded

    public void sourceConnectionAdded(ConnectionEditPart connection,
                                      int index)

  Called after the connection has been added to its source node.

  Parameters:
    `connection` - the connection
    `index` - the index

### targetConnectionAdded

    public void targetConnectionAdded(ConnectionEditPart connection,
                                      int index)

  Called after the connection has been added to its target node.

  Parameters:
    `connection` - the connection
    `index` - the index

Eclipse GEF 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.